<?php


/**
 * @file
 * Bubbletimer's own FormAPI (FAPI) element called: bubbletimer_slot
 */


function bubbletimer_element_info() {
  return array(
    'bubbletimer_slot' => array(
      '#input' => TRUE,
      '#process' => array('bubbletimer_slot_process'),
      '#element_validate' => array('bubbletimer_slot_validate'),
      '#theme' => 'bubbletimer_slot',
    ),
  );
}


function bubbletimer_slot_process($element, $form_state) {
  return $element;
}


function bubbletimer_slot_validate($element, $form_state) {
  return $element;
}


function theme_bubbletimer_slot($variables) {
  $element = $variables['element'];

  $timestamp = array_pop($element['#array_parents']);
  $nid       = array_pop($element['#array_parents']);

  $div  = "<div class=\"bt_checkbox\">&nbsp;</div>";
  $hidden  = '<input type="hidden" ';
  $hidden .= 'nid="'.$nid.'" ';
  $hidden .= 'timestamp="'.$timestamp.'" ';
  $hidden .= 'name="slot['.$nid.']['.$timestamp.']" value="'.$element['#default_value'].'" />';

  return $hidden . $div;
}


function form_type_bubbletimer_slot_value($element, $edit = FALSE) {
  return $element['#default_value'];
}
